import { View,Text } from "@tarojs/components";
import Buttons from "@/components/basic/Buttons";
import SingleSelect from "@/components/input/SingleSelect";
import Rings from '@components/view/Rings';
import { ButtonType,ComponentStatus } from "../../utils/types";
import Taro from "@tarojs/taro";
import { jumpPage } from "@/features/trackTimeDuration/hooks/Common";

export default function Login(){
    const  array:any[] = []
    array.push('ffff');
    array.push(<Text>ffff</Text>)
    array.push(<Rings  radius={50} strokeWidth={5} color={"pink"}/>)

    function goAuth(){
        jumpPage('/pages/account/Auth')
    }

    return (
        <View  style={{backgroundColor:'#000'}}>
            <Text>login</Text>
            <Buttons title="Login" onClick={()=>goAuth()}></Buttons>
            <View style={{height:10}}/>
            <Buttons title="Register" type={ButtonType.outline}></Buttons>
            <View style={{height:10}}/>
            <Buttons title="Login" status={ComponentStatus.disable}></Buttons>
            <View style={{height:10}}/>
            <SingleSelect items={['A','B','C']}></SingleSelect>
            {/* <Rings radius={50} strokeWidth={5} color={"pink"}/> */}
            <SingleSelect items={array}></SingleSelect>
            {/* <Rings radius={50} strokeWidth={0} color={""}/> */}
        </View>
    )
}